[arch-commits] Commit in gnome-keyring/repos (testing-i686 testing-i686/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Oct 19 05:55:58 EDT 2008


    Date: Sunday, October 19, 2008 @ 05:55:58
  Author: jgc
Revision: 15806

Merged revisions 15805 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/gnome-keyring/trunk

........
  r15805 | jgc | 2008-10-19 11:55:38 +0200 (Sun, 19 Oct 2008) | 1 line
  
  upgpkg: gnome-keyring 2.24.1-1
........

Modified:
  gnome-keyring/repos/testing-i686/	(properties)
  gnome-keyring/repos/testing-i686/PKGBUILD

----------+
 PKGBUILD |   18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)


Property changes on: gnome-keyring/repos/testing-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /gnome-keyring/trunk:1-13044
   + /gnome-keyring/trunk:1-15805

Modified: testing-i686/PKGBUILD
===================================================================
--- testing-i686/PKGBUILD	2008-10-19 09:55:38 UTC (rev 15805)
+++ testing-i686/PKGBUILD	2008-10-19 09:55:58 UTC (rev 15806)
@@ -2,7 +2,7 @@
 #Maintainer: Jan De Groot <jgc at archlinux.org>
 
 pkgname=gnome-keyring
-pkgver=2.24.0
+pkgver=2.24.1
 pkgrel=1
 pkgdesc="GNOME Password Management daemon"
 arch=(i686 x86_64)
@@ -14,21 +14,21 @@
 install=gnome-keyring.install
 source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.24/${pkgname}-${pkgver}.tar.bz2
 	gnome-keyring.service)
-md5sums=('b73fca3308b287131a841b45e63a5d16' '16062d82eb8062201fb24f3e0ceb49a6')
+md5sums=('aa5552dc129f3509ee39145b7f0bf977' '16062d82eb8062201fb24f3e0ceb49a6')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --disable-static \
 	      --libexecdir=/usr/lib/gnome-keyring \
 	      --with-pam-dir=/lib/security || return 1
   make || return 1
-  make -j1 GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install || return 1
+  make -j1 GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
 
-  install -m755 -d ${startdir}/pkg/usr/share/dbus-1/services
-  install -m644 ${startdir}/src/gnome-keyring.service ${startdir}/pkg/usr/share/dbus-1/services/ || return 1
+  install -m755 -d "${pkgdir}/usr/share/dbus-1/services"
+  install -m644 "${srcdir}/gnome-keyring.service" "${pkgdir}/usr/share/dbus-1/services/" || return 1
      
-  mkdir -p ${startdir}/pkg/usr/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas || return 1
-  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
 }




More information about the arch-commits mailing list